datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133pluspmhsug <- function() showQCData("hthgu133pluspmhsug", datacache)
hthgu133pluspmhsug_dbconn <- function() dbconn(datacache)
hthgu133pluspmhsug_dbfile <- function() dbfile(datacache)
hthgu133pluspmhsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133pluspmhsug_dbInfo <- function() dbInfo(datacache)

hthgu133pluspmhsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133pluspmhsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133pluspmhsug", "chip hthgu133pluspmhsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133pluspmhsug_dbconn())
}

